    Return the data used by plot_order.

get_order_plot(id=None, orders=None, recalc=True)
id - int or str, optional
orders - optional
recalc - bool, optional

Retrieve the plot information for order 1 of the default data set and then display it:

>>> oplot = get_order_plot(orders=1) >>> print(oplot)

Return the plot data for orders 1 and 2 of data set 'jet', plot the first and then overplot the second:

>>> plots = get_order_plot('jet', orders=[1, 2]) >>> plots[0].plot() >>> plots[1].overplot()

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The data set that provides the data. If not given then the default identifier is used, as returned by `get_default_id` .
orders
Which response to use. The argument can be a scalar or array, in which case multiple curves will be displayed. The default is to use all orders.
recalc
If False then the results from the last call to

`plot_order` (or `get_order_plot` ) are returned, otherwise the data is re-generated.

The return value from this function is:

data -- An object representing the data used to create the plot by

`plot_order` .

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023